from Ft.Server.Server.Drivers import LoadDriverModule

def Test(tester):
    import test_driver
    import test_ftss_driver
    try:
        driverModule = LoadDriverModule('Psyco')
    except Exception, error:
        tester.warning(str(error))
        return

    props = {'DbName': test_driver.TEST_DBNAME,
             'Host': None,
             'Port': -1,
             'User': None,
             'Passwd': None}

    test_driver.Test(tester, driverModule, props)

    props['TYPE'] = 'Psyco'
    props = {'Driver': props}
    test_ftss_driver.Test(tester, props)
    return
